Subject: Re: bug#19712: 24.4; GNUmakefile mode: C-c C-c does not comment lines in recipes correctly

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Dec 2020 12:53:13 +0100

Alain Kalker <[email-masked]> writes:

> In a buffer editing a Makefile, marking a line in a recipe then doing
> C-c C-c should put a "#" at the beginning of the line (before the
> <tab>).  Instead, it puts "# " before the command, which doesn't make a
> valid Makefile comment, i.e. it gets sent to the shell. In particular,
> expansions like $(definedvar) get executed, which is usually not what is
> wanted.

(This bug report unfortunately got no response at the time.)

I tried reproducing this bug in Emacs 28 with this Makefile snippet:

Following the recipe, I get this:

So it looks like this has been fixed at some point since this was
reported, and I'm closing this bug report.  If this is still an issue,
please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no